Index: src/sas/sasgui/perspectives/corfunc/corfunc_state.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/corfunc_state.py	(revision 2a399cab29be825175279ecb215dd7ac22191496)
+++ src/sas/sasgui/perspectives/corfunc/corfunc_state.py	(revision 1fa4f7368e26981352615cbfb337a581ed97031f)
@@ -289,8 +289,8 @@
                 namespaces={'ns': CANSAS_NS})
             for entry in entry_list:
-                sas_entry, _ = self._parse_entry(entry)
                 corstate = self._parse_state(entry)
 
                 if corstate is not None:
+                    sas_entry, _ = self._parse_entry(entry)
                     sas_entry.meta_data['corstate'] = corstate
                     sas_entry.filename = corstate.file
Index: src/sas/sasgui/perspectives/fitting/fitpage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitpage.py	(revision 79e6a33e39a965552e3c863cc0b90d3d34b281c0)
+++ src/sas/sasgui/perspectives/fitting/fitpage.py	(revision 48154abb52e9b741830a04b4000c9ad14563cd46)
@@ -2042,4 +2042,6 @@
             # Save state_fit
             self.save_current_state_fit()
+            self.onSmear(None)
+            self._onDraw(None)
         except:
             self._show_combox_helper()
Index: src/sas/sasgui/perspectives/fitting/pagestate.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/pagestate.py	(revision da9b23921df41d99e3b43e2bba26803e24afece2)
+++ src/sas/sasgui/perspectives/fitting/pagestate.py	(revision 1fa4f7368e26981352615cbfb337a581ed97031f)
@@ -1297,13 +1297,13 @@
                                             namespaces={'ns': CANSAS_NS})
                     for entry in entry_list:
-                        try:
-                            sas_entry, _ = self._parse_save_state_entry(entry)
-                        except:
-                            raise
                         fitstate = self._parse_state(entry)
-
                         # state could be None when .svs file is loaded
                         # in this case, skip appending to output
                         if fitstate is not None:
+                            try:
+                                sas_entry, _ = self._parse_save_state_entry(
+                                    entry)
+                            except:
+                                raise
                             sas_entry.meta_data['fitstate'] = fitstate
                             sas_entry.filename = fitstate.file
Index: src/sas/sasgui/perspectives/fitting/simfitpage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/simfitpage.py	(revision a9f9ca43ee83c6bd7d87a13ac54b0f3a3c30565d)
+++ src/sas/sasgui/perspectives/fitting/simfitpage.py	(revision f73b47cd2a0a7689c4369b24fd8891a9063b98fb)
@@ -1073,5 +1073,6 @@
         """
 
-        model_map = {}
+        init_map = {}
+        final_map = {}
         if fit.fit_panel.sim_page is None:
             fit.fit_panel.add_sim_page()
@@ -1087,6 +1088,7 @@
                 save_id = self._format_id(save_id)
                 if save_id == model_id:
-                    model_map[saved_model.pop('fit_page_source')] = \
-                        model[3].name
+                    inter_id = str(i) + str(i) + str(i) + str(i) + str(i)
+                    init_map[saved_model.pop('fit_page_source')] = inter_id
+                    final_map[inter_id] = model[3].name
                     check = bool(saved_model.pop('checked'))
                     sim_page.model_list[i][0].SetValue(check)
@@ -1106,7 +1108,10 @@
                 param = item.pop('param_cbox')
                 equality = item.pop('egal_txt')
-                for key, value in model_map.iteritems():
-                    model_cbox.replace(key, value)
-                    constraint_value.replace(key, value)
+                for key, value in init_map.items():
+                    model_cbox = model_cbox.replace(key, value)
+                    constraint_value = constraint_value.replace(key, value)
+                for key, value in final_map.items():
+                    model_cbox = model_cbox.replace(key, value)
+                    constraint_value = constraint_value.replace(key, value)
 
                 sim_page.constraints_list[index][0].SetValue(model_cbox)
Index: src/sas/sasgui/perspectives/invariant/invariant_state.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_state.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/perspectives/invariant/invariant_state.py	(revision 1fa4f7368e26981352615cbfb337a581ed97031f)
@@ -728,11 +728,9 @@
 
                 for entry in entry_list:
-
-                    sas_entry, _ = self._parse_entry(entry)
                     invstate = self._parse_state(entry)
-
                     # invstate could be None when .svs file is loaded
                     # in this case, skip appending to output
                     if invstate is not None:
+                        sas_entry, _ = self._parse_entry(entry)
                         sas_entry.meta_data['invstate'] = invstate
                         sas_entry.filename = invstate.file
Index: src/sas/sasgui/perspectives/pr/inversion_state.py
===================================================================
--- src/sas/sasgui/perspectives/pr/inversion_state.py	(revision a0e6b1b9f274f2a46d9f25fe7801411ef0701217)
+++ src/sas/sasgui/perspectives/pr/inversion_state.py	(revision 1fa4f7368e26981352615cbfb337a581ed97031f)
@@ -472,9 +472,9 @@
 
                 for entry in entry_list:
-                    sas_entry, _ = self._parse_entry(entry)
                     prstate = self._parse_prstate(entry)
                     #prstate could be None when .svs file is loaded
                     #in this case, skip appending to output
                     if prstate is not None:
+                        sas_entry, _ = self._parse_entry(entry)
                         sas_entry.meta_data['prstate'] = prstate
                         sas_entry.filename = prstate.file
